Get certificate authority
https://api.elastic-cloud.com/api/v1
- GET /deployments/{deployment_id}/certificate-authority
Returns the certificate authority used to sign the certificates of this deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
Responses
The certificate authority used to sign the certificates of this deployment
-
recommended_trust_restrictionstringrequired -
The trust restriction expression to use that would provide trust with the Elasticsearch nodes of this deployment
-
public_certificatesPublicCertificaterequired -
The certificates used by this certificate authority. The active certificate is the one that has been used to sign the current certificates of the Elasticsearch instances. All others are either certificates used in the past or certificates that will be used in the future when the currently active certificate expires.
-
activebooleanrequired -
If true, this certificate is the one which has been used to sign the current certificates. Otherwise, it may be the one that will be used when this certificate expires.
-
pemstringrequired -
The public certificate as string in PEM format.
-
metadataCertificateMetaDatarequired -
The certificate MetaData
-
fingerprintstringrequired -
The fingerprint of the certificate
-
valid_tostringrequired -
The expiry date of the certificate in UTC
-
valid_fromstringrequired -
The valid from date of the certificate in UTC
-
also_trusted_bystring -
Other deployments also trusting this certificate
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Elasticsearch Resource cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response